Name:		ninox
Version:	2.71
Release:	1%{?dist}
Summary:	%{name}'s primary objective is to find and centre the dominant object in each frame to make life easier for processing by Registax or other astronomy image-stacking programs.

Group:		Applications/Multimedia
License:	Freeware
URL:		http://www.acquerra.com.au/astro/software/ninox/
Source0:	http://www.acquerra.com.au/astro/software/%{name}/%{name}-%{version}.zip
Source1:	ninox.html
Source2:	README.Fedora
Patch0:		ninox-2.60-fixmake.patch
Patch1:		ninox-2.71-fixmake.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	SDL-devel, libXv-devel
# Requires:	

%description
%{name} processes a sequence of image files.  Its primary objective is to
find and centre the dominant object in each frame to make life easier
for processing by Registax or other astronomy image-stacking programs.

%prep
%setup -q
# % patch0 -p1 -b .fixmake
%patch1 -p1 -b .fixmake2
%{__cp} %{SOURCE1} %{_builddir}/%{name}-%{version}/
%{__cp} %{SOURCE2} %{_builddir}/%{name}-%{version}/

%build
cd src
make clean
make %{?_smp_mflags} -j1

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{_bindir}
%{__install} %{name} $RPM_BUILD_ROOT/%{_bindir}
%{__install} videoshow $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc readme.txt ninox.html README.Fedora
%{_bindir}/%{name}
%{_bindir}/videoshow



%changelog
* Fri Jun 11 2010 J. Randall Owens <jrowens@ghiapet.net> - 2.71-1
- update to version 2.71
- rebuild for GhiaPet/Fedora 13

* Wed Jul 22 2009  <jrowens@ghiapet.net> - 2.60-1
- First build for Fedora 11

